Athena
Api key clientsClient_name

Update or insert a client's enforcement override

PUT
/admin/api-key-clients/{client_name}

Path Parameters

client_name*string

Header Parameters

apikey*string

The static admin key configured as ATHENA_KEY_12. Authorization headers (Bearer <key>), X-API-Key, X-Athena-Key, or ?api_key= are also accepted.

Request Body

application/json

enforce_api_keys*boolean

Response Body

application/json

application/json

curl -X PUT "https://athena-cluster.com/admin/api-key-clients/string" \  -H "apikey: string" \  -H "Content-Type: application/json" \  -d '{    "enforce_api_keys": true  }'
{
  "client": {
    "client_name": "string",
    "enforce_api_keys": true,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "status": "error",
  "message": "string",
  "error": "string"
}